//
// JmsaTopic.java - JMS Adapter Topic
//
// JmsaD handles the "administered" object side of things.
// The topic name is the underlying JNDI name.
//

package nyangau.jmsadapter;

import java.util.Map;
import javax.jms.*;

public class JmsaTopic extends JmsaD implements Topic
  {
  protected transient Topic t;
//...sJmsaTopic:2:
public JmsaTopic(Topic topic, Map<String,Object> map)
  {
  super(map);
  t = topic;
  }

public JmsaTopic(Map<String,Object> map)
  {
  super(map);
  t = null;
  }

public JmsaTopic(Map<String,Object> map, Map<String,Object> map2)
  {
  super(map, map2);
  t = null;
  }

public JmsaTopic()
  {
  t = null;
  }
//...e
//...sgetTopicName:2:
public String getTopicName()
  throws JMSException
  {
  if ( t == null )
    t = (Topic) findDest();
  return t.getTopicName();
  }
//...e
//...sgetDest:2:
public Destination getDest()
  throws JMSException
  {
  if ( t == null )
    t = (Topic) findDest();
  return t;
  }
//...e
  }
